package com.bocloud.cmp.custom;

import com.bocloud.cmp.custom.models.CustomDescribeAddressesResponse;
import com.google.gson.JsonSyntaxException;
import com.google.gson.reflect.TypeToken;
import com.tencentcloudapi.common.Credential;
import com.tencentcloudapi.common.JsonResponseModel;
import com.tencentcloudapi.common.exception.TencentCloudSDKException;
import com.tencentcloudapi.common.profile.ClientProfile;
import com.tencentcloudapi.vpc.v20170312.VpcClient;
import com.tencentcloudapi.vpc.v20170312.models.DescribeAddressesRequest;
import com.tencentcloudapi.vpc.v20170312.models.DescribeAddressesResponse;

import java.lang.reflect.Type;

/**
 * <p>
 * -
 * </p>
 *
 * @author css
 * @since 2022/8/29
 */
public class CustomVpcClient extends VpcClient {
    public CustomVpcClient(Credential credential, String region) {
        super(credential, region);
    }

    public CustomVpcClient(Credential credential, String region, ClientProfile profile) {
        super(credential, region, profile);
    }

    public CustomDescribeAddressesResponse customDescribeAddresses(DescribeAddressesRequest req) throws TencentCloudSDKException {
        JsonResponseModel<CustomDescribeAddressesResponse> rsp = null;

        try {
            Type type = (new TypeToken<JsonResponseModel<CustomDescribeAddressesResponse>>() {
            }).getType();
            rsp = (JsonResponseModel)this.gson.fromJson(this.internalRequest(req, "DescribeAddresses"), type);
        } catch (JsonSyntaxException var4) {
            throw new TencentCloudSDKException(var4.getMessage());
        }

        return rsp.response;
    }
}
