package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.provider.TencentProvider;
import com.bocloud.cmp.provider.storage.TencentVolumeProvider;
import com.bocloud.common.annotations.Provider;
import com.bocloud.common.model.BocloudResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 腾讯云连接验证
 * 
 * @author ymh
 * @时间 2018年11月15日
 */
@Provider("bocloud.cmp.tencent")
public class TencentAuthProvider extends TencentProvider implements AuthProvider {

	private static Logger logger = LoggerFactory.getLogger(TencentAuthProvider.class);

	private Butler butler;

	public TencentAuthProvider(Butler butler) {
		super(butler);
		this.butler = butler;
	}

	@Override
	public BocloudResult auth() {
		TencentVolumeProvider provider = new TencentVolumeProvider(this.butler);
		BocloudResult result = provider.list();
		logger.info("info : " + result.isSuccess());
		result = new BocloudResult(result.isSuccess(), "" + result.isSuccess());
		return result;
	}
}
