package com.bocloud.cmp.tencentconvertor;


import com.bocloud.cmp.model.tencent.storage.FileSystemModel;
import com.bocloud.cmp.model.tencent.storage.TagInfos;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.bocloud.cmp.tencentCfs.v20190719.models.FileSystemInfo;
import com.bocloud.cmp.tencentCfs.v20190719.models.TagInfo;


import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class FileSystemConvertor implements BeanConvertor<FileSystemModel, FileSystemInfo> {
    @Override
    public List<FileSystemModel> convertList(List<? extends FileSystemInfo> objects){
        List<FileSystemModel> fileSystemModels = new ArrayList<FileSystemModel>();
        for (FileSystemInfo object : objects){
            fileSystemModels.add(convertModel(object));
        }
        return fileSystemModels;
    }

    @Override
    public FileSystemModel convertModel(FileSystemInfo fileSystemInfo){
        FileSystemModel model = new FileSystemModel();
        if (fileSystemInfo !=null){
            model.setFileSystemId(fileSystemInfo.getFileSystemId());//文件存储id
            String name= fileSystemInfo.getCreationToken();
            if (null !=name && "未命名".equals(name)){
                name = fileSystemInfo.getFileSystemId();
            }
            model.setFileSystemName(name);//文件存储名称
            model.setCreateTime(fileSystemInfo.getCreationTime());//创建时间
            model.setFileSystemStatus(fileSystemInfo.getLifeCycleState());//文件系统状态
            model.setUseByte(fileSystemInfo.getSizeByte());//已使用的容量
            model.setSpaceConstraintsMax(fileSystemInfo.getSizeLimit());//文件系统最大空间限制
            model.setZoneId(fileSystemInfo.getZoneId());//区域id
            model.setAvailabilityZone(fileSystemInfo.getZone());//区域名称
            model.setProtocol(fileSystemInfo.getProtocol());//协议类型
            model.setStorageType(fileSystemInfo.getStorageType());//存储类型
            model.setPermissionsId(fileSystemInfo.getPGroup().getPGroupId());//权限id
            model.setPermissionsName(fileSystemInfo.getPGroup().getName());//权限名称
            model.setFsName(fileSystemInfo.getFsName());
            model.setEncryption(fileSystemInfo.getEncrypted());//文件是否加密
            model.setEncryptionKeyId(fileSystemInfo.getKmsKeyId());//加密的密钥
            model.setAppId(fileSystemInfo.getAppId());//应用Id
            model.setMaximumThroughput(fileSystemInfo.getBandwidthLimit());//吞吐上限
            model.setFileSystemSizeTotal(fileSystemInfo.getCapacity());//文件系统总容量
        }
        return model;
    }

}
