package com.bocloud.cmp.tencentconvertor;

import com.bocloud.cmp.model.FlavorModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.tencentcloudapi.cvm.v20170312.models.InstanceTypeQuotaItem;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 地域 转换
 *
 * @author ymh
 * @时间 2018年11月22日
 */
public class FlavorConvertor implements BeanConvertor<FlavorModel, InstanceTypeQuotaItem> {

    @Override
    public List<FlavorModel> convertList(List<? extends InstanceTypeQuotaItem> objects) {
        List<FlavorModel> regionModels = new ArrayList<>();
        for (InstanceTypeQuotaItem object : objects) {
            regionModels.add(convertModel(object));
        }
        return regionModels;
    }

    @Override
    public FlavorModel convertModel(InstanceTypeQuotaItem info) {
        FlavorModel model = new FlavorModel();
        if (null != info) {
            model.setCpu(info.getCpu());
            model.setMemory(BigDecimal.valueOf(info.getMemory()));
            model.setName(info.getTypeName());
            model.setFamily(info.getInstanceFamily());
            model.setFlavorUuid(info.getInstanceType());
            model.setDisk(info.getNetworkCard());
            model.setInstanceChargeType(info.getInstanceChargeType());
            String status = info.getStatus();
            if (null != status) {
                model.setStatus(status);
            }
            model.setZone(info.getZone());
        }
        return model;
    }
}
