package com.bocloud.cmp.tencentconvertor;

import com.bocloud.cmp.model.FlavorModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.tencentcloudapi.cvm.v20170312.models.InstanceTypeConfig;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;

/**
 * 私有云规格 转换
 *
 * @author ymh
 * @时间 2018年11月22日
 */
public class PrivateFlavorConvertor implements BeanConvertor<FlavorModel, InstanceTypeConfig> {

    @Override
    public List<FlavorModel> convertList(List<? extends InstanceTypeConfig> objects) {
        List<FlavorModel> regionModels = new ArrayList<>();
        for (InstanceTypeConfig object : objects) {
            if (StringUtils.isNotEmpty(object.getZone())) {
                regionModels.add(convertModel(object));
            }
        }
        return regionModels;
    }

    @Override
    public FlavorModel convertModel(InstanceTypeConfig info) {
        FlavorModel model = new FlavorModel();
        if (null != info) {
            model.setCpu(info.getCPU());
            model.setMemory(BigDecimal.valueOf(info.getMemory()));
            model.setName(info.getInstanceType());
            model.setFamily(info.getInstanceFamily());
            model.setFlavorUuid(info.getInstanceType());
            model.setZone(info.getZone());
            model.setStatus("SELL");
            model.setInstanceChargeType("POSTPAID_BY_HOUR"); // 私有云全部为按量计费
        }
        return model;
    }
}
