package com.bocloud.cmp.tencentconvertor;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import com.bocloud.cmp.model.RegionModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.tencentcloudapi.cvm.v20170312.models.RegionInfo;

/**
 * 地域 转换
 * 
 * @author ymh
 * @时间 2018年11月22日
 */
public class RegionConvertor implements BeanConvertor<RegionModel, RegionInfo> {

    // 腾讯无法使用ap-guangzhou-open地域操作资源 华东地区(上海金融) 华南地区(深圳金融) 金融区域需特殊处理
    private static final String[] EXCLUDE = { "ap-guangzhou-open", "ap-shanghai-fsi", "ap-shenzhen-fsi" };

    @Override
    public List<RegionModel> convertList(List<? extends RegionInfo> objects) {
        List<RegionModel> regionModels = new ArrayList<>();
        for (RegionInfo object : objects) {
            if (!Arrays.asList(EXCLUDE).contains(object.getRegion())) {
                regionModels.add(convertModel(object));
            }
        }
        return regionModels;
    }

    @Override
    public RegionModel convertModel(RegionInfo info) {
        RegionModel model = new RegionModel();
        if (null != info) {
            model.setCode(info.getRegion());
            model.setName(info.getRegionName());
            model.setRegionId(info.getRegion());
        }
        return model;
    }
}
