package com.bocloud.cmp.tencentconvertor;

import com.bocloud.cmp.model.RouteModel;
import com.bocloud.cmp.model.RouteTableModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.bocloud.common.utils.DateTools;
import com.tencentcloudapi.vpc.v20170312.models.Route;
import com.tencentcloudapi.vpc.v20170312.models.RouteTable;
import org.apache.commons.collections.CollectionUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * 地域 转换
 *
 * @author ymh
 * @时间 2018年11月22日
 */
public class RouteTableConvertor implements BeanConvertor<RouteTableModel, RouteTable> {

    private static Logger logger = LoggerFactory.getLogger(RouteTableConvertor.class);

    @Override
    public List<RouteTableModel> convertList(List<? extends RouteTable> objects) {
        List<RouteTableModel> regionModels = new ArrayList<>();
        for (RouteTable object : objects) {
            regionModels.add(convertModel(object));
        }
        return regionModels;
    }

    @Override
    public RouteTableModel convertModel(RouteTable info) {
        RouteTableModel model = new RouteTableModel();
        if (null != info) {
            String routeTableName = info.getRouteTableName();
            model.setName(routeTableName);
            model.setUuid(info.getRouteTableId());
//            model.setType(info.getMain());
//            model.setIpVersion("V4");
            model.setVpcUuid(info.getVpcId());
            model.setType(info.getMain()!= null &&info.getMain() ?"Default": "NoDefault" );
//            model.setZone(info.getZone());
//            model.setHostRoutes(info.getRouteTableId());
            String createdTime = info.getCreatedTime();
            if (null != createdTime && !createdTime.equals("0000-00-00 00:00:00")) {
                model.setGmtCreate(DateTools.stringToDateTime(createdTime));
            }

            Route[] routeSet = info.getRouteSet();
            if (routeSet != null && routeSet.length > 0) {
                List<RouteModel> routeModels = new ArrayList<>();
                for (Route route : routeSet) {
                    RouteModel routeModel = new RouteModel();
//                    routeModel.set
                }
            }
        }
        return model;
    }
}
