package com.bocloud.cmp.tencentconvertor;

import java.util.ArrayList;
import java.util.List;
import com.bocloud.cmp.model.SecurityGroupModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.bocloud.common.utils.DateTools;
import com.tencentcloudapi.vpc.v20170312.models.SecurityGroup;

public class SecurityGroupConvertor implements BeanConvertor<SecurityGroupModel, SecurityGroup> {

    @Override
    public List<SecurityGroupModel> convertList(List<? extends SecurityGroup> objects) {
        List<SecurityGroupModel> volumeModels = new ArrayList<>();
        for (SecurityGroup object : objects) {
            volumeModels.add(convertModel(object));
        }
        return volumeModels;
    }

    @Override
    public SecurityGroupModel convertModel(SecurityGroup info) {
        SecurityGroupModel model = new SecurityGroupModel();
        if (null != info) {
            model.setName(info.getSecurityGroupName());
            model.setRemark(info.getSecurityGroupDesc());
            model.setGroupUuid(info.getSecurityGroupId());
            model.setCreateTime(DateTools.stringToDateTime(info.getCreatedTime()));
        }
        return model;
    }

}
