package com.bocloud.cmp.tencentconvertor;

import java.util.ArrayList;
import java.util.List;
import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.VpcModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.bocloud.common.utils.DateTools;
import com.tencentcloudapi.vpc.v20170312.models.Vpc;

/**
 * 镜像转换器
 * 
 * @author ymh
 * @时间 2018年11月16日
 */
public class VpcConvertor implements BeanConvertor<VpcModel, Vpc> {

    @Override
    public List<VpcModel> convertList(List<? extends Vpc> objects) {
        List<VpcModel> imageModels = new ArrayList<VpcModel>();
        for (Vpc object : objects) {
            imageModels.add(convertModel(object));
        }
        return imageModels;
    }

    @Override
    public VpcModel convertModel(Vpc vpc) {
        VpcModel model = new VpcModel();
        model.setCidr(vpc.getCidrBlock());
        model.setIpv6Cidr(vpc.getIpv6CidrBlock());
        model.setName(vpc.getVpcName());
        model.setDefaultVpc(vpc.getIsDefault());
        model.setVpcId(vpc.getVpcId());
        model.setStatus("ACTIVE");
        model.setDnsServer(JSON.toJSONString(vpc.getDnsServerSet()));
        String createdTime = vpc.getCreatedTime();
        if (null != createdTime && !createdTime.equals("0000-00-00 00:00:00")) {
            model.setGmtCreate(DateTools.stringToDateTime(createdTime));
        }
        return model;
    }
}
