package com.bocloud.cmp.tencentconvertor;

import java.util.ArrayList;
import java.util.List;

import com.bocloud.cmp.model.ZoneModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.tencentcloudapi.cvm.v20170312.models.ZoneInfo;

/**
 * 地域 转换
 * 
 * @author ymh
 * @时间 2018年11月22日
 */
public class ZoneConvertor implements BeanConvertor<ZoneModel, ZoneInfo> {

	@Override
	public List<ZoneModel> convertList(List<? extends ZoneInfo> objects) {
		List<ZoneModel> regionModels = new ArrayList<ZoneModel>();
		for (ZoneInfo object : objects) {
			if("AVAILABLE".equalsIgnoreCase(object.getZoneState())) {
				regionModels.add(convertModel(object));
			}
		}
		return regionModels;
	}

	@Override
	public ZoneModel convertModel(ZoneInfo info) {
		ZoneModel model = new ZoneModel();
		if (null != info) {
			model.setZoneId(info.getZone());
			model.setName(info.getZoneName());
			model.setResources(info.getZoneId());
		}
		return model;
	}
}
